Bug 859025 - mustache (the command line program) does not work with current ruby on Fedora
mustache (the command line program) does not work with current ruby on Fedora
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-mustache (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 07:55 EDT by Till Maas
Modified: 2012-12-20 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:44:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2012-09-20 07:55:02 EDT
See the issue at upstream github:
https://github.com/defunkt/mustache/pull/116

replacing each_document with load_stream in the mustache script seems to work here.
Comment 1 Fedora Update System 2012-09-20 10:48:52 EDT
rubygem-mustache-0.99.4-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.99.4-6.fc18
Comment 2 Fedora Update System 2012-09-20 10:51:33 EDT
rubygem-mustache-0.99.4-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.99.4-5.fc17
Comment 3 Fedora Update System 2012-09-21 20:07:08 EDT
Package rubygem-mustache-0.99.4-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-mustache-0.99.4-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14491/rubygem-mustache-0.99.4-5.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-25 12:38:35 EDT
rubygem-mustache-0.99.4-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-20 10:44:41 EST
rubygem-mustache-0.99.4-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.